## EMailSignaturePreview

EMailSignaturePreview

## Functions

GtkWidget * | e_mail_signature_preview_new ()
void | e_mail_signature_preview_refresh ()
ESourceRegistry * | e_mail_signature_preview_get_registry ()
const gchar * | e_mail_signature_preview_get_source_uid ()
void | e_mail_signature_preview_set_source_uid ()

## Properties

ESourceRegistry * | registry | Read / Write / Construct Only
char * | source-uid | Read / Write

## Signals

void | refresh | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── WebKitWebViewBase
                        ╰── WebKitWebView
                            ╰── EWebView
                                ╰── EMailSignaturePreview

## Description

## Functions

### e_mail_signature_preview_new ()

    GtkWidget *
    e_mail_signature_preview_new (ESourceRegistry *registry);

### e_mail_signature_preview_refresh ()

    void
    e_mail_signature_preview_refresh (EMailSignaturePreview *preview);

### e_mail_signature_preview_get_registry ()

    ESourceRegistry *
    e_mail_signature_preview_get_registry (EMailSignaturePreview *preview);

### e_mail_signature_preview_get_source_uid ()

    const gchar *
    e_mail_signature_preview_get_source_uid
                                   (EMailSignaturePreview *preview);

### e_mail_signature_preview_set_source_uid ()

    void
    e_mail_signature_preview_set_source_uid
                                   (EMailSignaturePreview *preview,
                                    const gchar *source_uid);

## Property Details

### The `“registry”` property

      “registry”                 ESourceRegistry *

Owner: EMailSignaturePreview

Flags: Read / Write / Construct Only

### The `“source-uid”` property

      “source-uid”               char *

Owner: EMailSignaturePreview

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“refresh”` signal

    void
    user_function (EMailSignaturePreview *emailsignaturepreview,
                   gpointer               user_data)

Flags: Action